### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-breadcrumb/ecl-breadcrumb-core/ecl-breadcrumb-core.component.ts`

### Extends

`EclBreadcrumbComponent`

### Metadata

selector | `ecl-breadcrumb-core`
styles | `:host { display: block; }`
templateUrl | `./ecl-breadcrumb-core.component.html`

### Index

###### Properties

- eclSegments
- ariaLabel
- eclEllipsisSegment
- role

###### Methods

- onEllipsisSegmentClick
- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- class
- attr.aria-label
- attr.role

###### Accessors

- cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

attr.aria-label
Type : `any`

attr.role
Type : `string`
Default value : `'navigation'`

### Methods

onEllipsisSegmentClick
`onEllipsisSegmentClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclSegments
Type : `QueryList<EclBreadcrumbCoreSegmentComponent>`
Decorators : `@ContentChildren(undefined)`

ariaLabel
Decorators : `@HostBinding('attr.aria-label')`

eclEllipsisSegment
Type : `EclBreadcrumbSegmentComponent`
Decorators : `@ViewChild('ellipsisSegment')`

role
Type : `string`
Default value : `'navigation'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""